#include "Group.h"

Group::Group()
: Node()
{
}

Group::~Group()
{
}

void Group::addChild(Node* child)
{
    _children.push_back(child);
}

void Group::removeChild(Node* child)
{
    _children.remove(child);
}

void Group::removeChildren()
{
    _children.clear();
}

std::list<Node*>& Group::getChildren()
{
    return _children;
}